### Function

# Gtk AssistantPageFunc

#### Declaration

    int
    AssistantPageFunc (
      int current_page,
      gpointer data
    )

#### Description [src]

Type of callback used to calculate the next page in a `GtkAssistant`.

It’s called both for computing the next page when the user presses the “forward” button and for handling the behavior of the “last” button.

See gtk_assistant_set_forward_page_func().

#### Parameters

`current_page` | `int`
| The page number used to calculate the next page.
`data` | `gpointer`
| User data.

#### Return value

Returns: | `int`
| The next page number.